import os

import pyglet
pyglet.options['debug_gl'] = False
pyglet.resource.path.extend(['data/map', 'data/img', 'data/font', 'data/music'])
pyglet.resource.reindex()
pyglet.resource.add_font('armalite.ttf')
pyglet.resource.add_font('atwriter.ttf')

# Hacked in pygame music playing at the last moment. Hopefully it works.
import pygame
if os.name == 'posix':
    pygame.mixer.pre_init(44100)
pygame.init()

import scenes
from colors import *


class Window(pyglet.window.Window):
    def __init__(self):
        super(Window, self).__init__(600, 600, caption="Chain Of Command")
        # Create fps display.
        self.fps_display = pyglet.clock.ClockDisplay()
        self.show_fps = False
        
        self.music = pygame.mixer.Sound(os.path.join('data', 'music', 'win.ogg'))

        # Schedule game updates.
        pyglet.clock.schedule(self.update)

        # Set initial scene.
        self.scene = None
        self.set_scene(scenes.Menu())

    def set_scene(self, scene):
        self.remove_handlers(self.scene)
        self.scene = scene
        self.scene.window = self
        self.push_handlers(self.scene)

    def update(self, dt):
        self.scene.update(dt)

    def on_draw(self):
        self.clear()
        self.scene.draw()
        if self.show_fps:
            self.fps_display.draw()

    def on_close(self):
        pyglet.app.exit()


def main():
    window = Window()
    pyglet.app.run()
