import pyglet

import scenes
from colors import *


# Resources
play_img = pyglet.resource.image('help_play.png')
edit_img = pyglet.resource.image('help_edit.png')


class Help(object):
    def __init__(self):
        self.play_back = pyglet.sprite.Sprite(play_img, 0, 0)
        self.edit_back = pyglet.sprite.Sprite(edit_img, 0, 0)
        self.background = self.play_back
        self.play = pyglet.text.Label('Playing', x=65, y=23,
                        font_name="Another Typewriter", font_size=16, color=grey)
        self.edit = pyglet.text.Label('Editing', x=410, y=23,
                        font_name="Another Typewriter", font_size=16, color=grey)
        self.back = pyglet.text.Label('Back', x=252, y=20,
                        font_name="Another Typewriter", font_size=22, color=(171, 215, 95, 155))

    def on_key_press(self, symbol, modifiers):
        if symbol == pyglet.window.key.ESCAPE:
            self.window.set_scene(scenes.Menu())
            return pyglet.event.EVENT_HANDLED

    def on_mouse_press(self, x, y, button, modifiers):
        if x >= self.play.x and x <=  self.play.x + self.play.content_width and\
            y >= self.play.y and y <= self.play.y + self.play.content_height:
                self.background = self.play_back

        if x >= self.edit.x and x <=  self.edit.x + self.edit.content_width and\
            y >= self.edit.y and y <= self.edit.y + self.edit.content_height:
                self.background = self.edit_back

        if x >= self.back.x and x <=  self.back.x + self.back.content_width and\
            y >= self.back.y and y <= self.back.y + self.back.content_height:
                self.window.set_scene(scenes.Menu())

    def update(self, dt):
        pass

    def draw(self):
        self.background.draw()
        self.play.draw()
        self.edit.draw()
        self.back.draw()
