import os

import pyglet
import pygame

import scenes
from colors import *

# Resources
background = pyglet.resource.image('background.png')

class Menu(object):
    def __init__(self):
        self.first = True

        # Add background.
        self.background = pyglet.sprite.Sprite(background, 0, 0)

        # Text
        self.batch = pyglet.graphics.Batch()
        self.title = pyglet.text.Label('Chain of Command',
                                       font_name="Armalite Rifle", font_size=36,
                                       x=300, y=450, color=(171, 215, 95, 155), batch=self.batch,
                                       halign='center')
        self.play = pyglet.text.Label('Play', font_size=20,
                                      font_name="Another Typewriter",
                                      x=250, y=350, color=grey,
                                      batch=self.batch)
        self.edit = pyglet.text.Label('Edit', font_size=20,
                                      font_name="Another Typewriter",
                                      x=250, y=300, color=grey,
                                      batch=self.batch)
        self.help = pyglet.text.Label('Help', font_size=20,
                                      font_name="Another Typewriter",
                                      x=250, y=250, color=grey,
                                      batch=self.batch)
        self.quit = pyglet.text.Label('Quit', font_size=20,
                                      font_name="Another Typewriter",
                                      x=250, y=200, color=grey,
                                      batch=self.batch)
        self.menu = [(self.play, self.on_play),
                     (self.edit, self.on_edit),
                     (self.help, self.on_help),
                     (self.quit, self.on_quit)]

    def on_key_press(self, symbol, modifiers):
        if symbol == pyglet.window.key.ESCAPE:
            self.window.set_scene(scenes.Exit())
            return pyglet.event.EVENT_HANDLED

    def on_mouse_press(self, x, y, button, modifiers):
        for text, action in self.menu:
            if x >= text.x and x <=  text.x + text.content_width and\
                y >= text.y and y <= text.y + text.content_height:
                    action()

    def on_play(self):
        self.window.set_scene(scenes.Select(scenes.Play))

    def on_edit(self):
        self.window.set_scene(scenes.Load())

    def on_help(self):
        self.window.set_scene(scenes.Help())

    def on_quit(self):
        self.window.set_scene(scenes.Exit())
            
    def update(self, dt):
        if self.first:
            if not pygame.mixer.get_busy():
                self.window.music.play(-1)

    def draw(self):
        self.background.draw()
        self.batch.draw()
